# Uses of Class
org.bukkit.potion.PotionData

Packages that use PotionData
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.

## Uses of PotionData in org.bukkit.entity

Methods in org.bukkit.entity that return PotionData
Modifier and Type
Method
Description
`@NotNull PotionData`
AreaEffectCloud.`getBasePotionData()`
Returns the potion data about the base potion
`@NotNull PotionData`
Arrow.`getBasePotionData()`
Returns the potion data about the base potion
Methods in org.bukkit.entity with parameters of type PotionData
Modifier and Type
Method
Description
`void`
AreaEffectCloud.`setBasePotionData(@NotNull PotionData data)`
Sets the underlying potion data
`void`
Arrow.`setBasePotionData(@NotNull PotionData data)`
Sets the underlying potion data

## Uses of PotionData in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return PotionData
Modifier and Type
Method
Description
`@NotNull PotionData`
PotionMeta.`getBasePotionData()`
Returns the potion data about the base potion
Methods in org.bukkit.inventory.meta with parameters of type PotionData
Modifier and Type
Method
Description
`void`
PotionMeta.`setBasePotionData(@NotNull PotionData data)`
Sets the underlying potion data